<?php
/*
 * @package     UNA API
 * @copyright   Copyright (C) 2023 Emir Sakic, http://www.sakic.net. All rights reserved.
 * @license     GNU/GPL, see LICENSE.TXT
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This header must not be removed. Additional contributions/changes
 * may be added to this header as long as no information is deleted.
 */

defined('_JEXEC') or die;

if (!empty($this->sidebar)) : ?>
<div id="j-sidebar-container" class="span2">
	<?php echo $this->sidebar; ?>
</div>
<div id="j-main-container" class="span10">
	<?php else : ?>
    <div id="j-main-container">
		<?php endif; ?>

        <div class="card">
            <div class="card-body">
				<?php if ($this->token) : ?>
                    <div class="control-group">
                        <div class="control-label">
                            <label for="jform_token"><?php echo JText::_('COM_UNAAPI_ACCESS_TOKEN'); ?></label>
                        </div>
                        <div class="controls">
                            <div class="input-group has-success input-append">
                                <input type="text" class="form-control valid form-control-success" name="jform[token]" id="jform_token" readonly="" value="<?php echo $this->token; ?>" aria-invalid="false">
                                <button class="btn btn-primary" type="button" title="Copy the token to your clipboard" onclick="document.getElementById('jform_token').select(); document.execCommand('copy');"><?php echo JText::_('JLIB_HTML_BATCH_COPY'); ?></button>
                            </div>
                            <div>
                                <small class="form-text">
									<?php echo JText::_('COM_UNAAPI_ACCESS_TOKEN_DESC'); ?>
                                </small>
                            </div>
                        </div>
                    </div>
				<?php endif; ?>
                <div class="control-group">
                    <div class="control-label">&nbsp;</div>
                    <div class="controls">
                        <div class="btn-wrapper">
                            <a class="btn btn-primary" href="<?php echo JRoute::_('index.php?option=com_unaapi&task=token.generate'); ?>">
								<?php if ($this->token) : ?>
									<?php echo JText::_('COM_UNAAPI_REGENERATE_TOKEN'); ?>
								<?php else : ?>
									<?php echo JText::_('COM_UNAAPI_GENERATE_TOKEN'); ?>
								<?php endif; ?>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
