<?php
/*
 * @package		UNA API
 * @copyright	Copyright (C) 2023 Emir Sakic, http://www.sakic.net. All rights reserved.
 * @license		GNU/GPL, see LICENSE.TXT
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This header must not be removed. Additional contributions/changes
 * may be added to this header as long as no information is deleted.
 */

defined('_JEXEC') or die;

/**
 * Joomla! Update's Default View
 *
 * @since  2.5.4
 */
class UnaApiViewUnaApi extends JViewLegacy
{
	/**
	 * The sidebar markup
	 *
	 * @var  string
	 */
	protected $sidebar;

	/**
	 * Token for display
	 *
	 * @var  string
	 */
	protected $token;

	/**
	 * Renders the view
	 *
	 * @param   string  $tpl  Template name
	 *
	 * @return void
	 *
	 * @since  2.5.4
	 */
	public function display($tpl = null)
	{
		list($maj, $min, $rev) = explode('.',JVERSION);
		if ($maj < 4) {
			UnaApiHelper::addSubmenu('unaapi');
		}

		$this->addToolbar();
		$this->sidebar = JHtmlSidebar::render();

		$this->token = $this->get('TokenForDisplay');

		// Render the view.
		return parent::display($tpl);
	}

	/**
	 * Add the page title and toolbar.
	 *
	 * @return  void
	 *
	 * @since   1.6
	 */
	protected function addToolbar()
	{
		$canDo = JHelperContent::getActions('com_unaapi');
		$user  = JFactory::getUser();

		JToolbarHelper::title(JText::_('COM_UNAAPI'), 'cogs');

		if ($user->authorise('core.admin', 'com_unaapi') || $user->authorise('core.options', 'com_unaapi'))
		{
			JToolbarHelper::preferences('com_unaapi');
		}

		JHtmlSidebar::setAction('index.php?option=com_unaapi');
	}
}

