<?php
/*
 * @package		UNA API
 * @copyright	Copyright (C) 2023 Emir Sakic, http://www.sakic.net. All rights reserved.
 * @license		GNU/GPL, see LICENSE.TXT
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This header must not be removed. Additional contributions/changes
 * may be added to this header as long as no information is deleted.
 */

use Joomla\Component\Content\Site\Helper\QueryHelper;
use Joomla\Component\Content\Site\Model\ArticlesModel;

// no direct access
defined('_JEXEC') or die;

JLoader::register('ContentHelperRoute', JPATH_SITE . '/components/com_content/helpers/route.php');
JLoader::register( 'UnaApiHelper', JPATH_ADMINISTRATOR . '/components/com_unaapi/helpers/unaapi.php' );

// define some middleman classes
if (class_exists(QueryHelper::class)) {
	// Joomla 4
	class UnaQueryHelper extends QueryHelper{}
} else {
	// Joomla 3
	JLoader::register('ContentHelperQuery', JPATH_SITE . '/components/com_content/helpers/query.php');
	class UnaQueryHelper extends ContentHelperQuery{}
}

if (class_exists(ArticlesModel::class)) {
	// Joomla 4
	class UnaArticlesModel extends ArticlesModel{}
} else {
	// Joomla 3
	JLoader::register( 'ContentModelArticles', JPATH_SITE . '/components/com_content/models/articles.php' );
	class UnaArticlesModel extends ContentModelArticles{}
}

$controller = JControllerLegacy::getInstance('UnaApi');
$controller->execute(JFactory::getApplication()->input->get('task', 'display'));
$controller->redirect();
