<?php
/*
 * @package		UNA API
 * @copyright	Copyright (C) 2023 Emir Sakic, http://www.sakic.net. All rights reserved.
 * @license		GNU/GPL, see LICENSE.TXT
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This header must not be removed. Additional contributions/changes
 * may be added to this header as long as no information is deleted.
 */

use Joomla\CMS\Factory;

defined('_JEXEC') or die;

/**
 * Info View class
 *
 * @since  1.5
 */
class UnaApiViewInfo extends JViewLegacy
{
	/**
	 * Execute and display a template script.
	 *
	 * @param   string  $tpl  The name of the template file to parse; automatically searches through the template paths.
	 *
	 * @return  mixed  A string if successful, otherwise an Error object.
	 */
	public function display($tpl = null)
	{
		$params = JComponentHelper::getParams('com_unaapi');

		$info = array();

		for ($i = 1; $i <= 5; $i++) {
			$info_label = $params->get('info_label_' . $i, '');
			$info_text = $params->get('info_text_' . $i, '');
			if ($info_label || $info_text) {
				$info[] = array(
					'title' => $info_label,
					'content' => preg_split("/\r\n|\n|\r/", $info_text)
				);
			}
		}




		echo json_encode($info);
	}
}